# Interface EventRequestManager

All Superinterfaces:
  `Mirror`

public interface EventRequestManager extends Mirror
Hot code replacement extension to `com.sun.jdi.request.EventRequestManager`.

## Method Summary

Modifier and Type
Method
Description
`ReenterStepRequest`
`createReenterStepRequest(ThreadReference thread)`
Creates a new disabled `ReenterStepRequest`.

### Methods inherited from interface Mirror

`toString, virtualMachine`

## Method Details

### createReenterStepRequest

ReenterStepRequest createReenterStepRequest(ThreadReference thread)
Creates a new disabled `ReenterStepRequest`. The new event request is added to the list managed by this EventRequestManager. Use `EventRequest.enable()` to activate this event request.

The returned request will control stepping only in the specified `thread`; all other threads will be unaffected.

Only one pending reenter step request is allowed per thread.

Note that enabling such a request can throw an `OperationRefusedException` if the VM refused to perform this operation. This in recognition that the VM may be in an awkward state and unable to comply. For example, execution is suspended in a native method and the arguments would be unavailable on return .

Parameters:
  `thread` - the thread in which to step
Returns:
  the created `ReenterStepRequest`
Throws:
  `DuplicateRequestException` - if there is already a pending step request for the specified thread.
  `ObjectCollectedException` - if the thread object has been garbage collected.